View Issue Details

IDProjectCategoryView StatusLast Update
0001540GNUnettransport servicepublic2019-05-02 14:44
ReporterNDurnerAssigned To 
PrioritylowSeverityfeatureReproducibilityhave not tried
Status confirmedResolutionfixed 
Product VersionSVN HEAD 
Target VersionFixed in Version 
Summary0001540: Intelligent resource usage
DescriptionOne PP board member reports that GNUnet open way too much connections for Windows XP/the network equipment. I think we should employ more clever resource usage sensing techniques like uTP (http://bittorrent.org/beps/bep_0029.html) does to detect over-consumption.
TagsNo tags attached.

Relationships

related to 0005710 assignedChristian Grothoff TNG meta issue 
related to 0001971 closedMatthias Wachs LP-based ATS is not implemented 

Activities

Matthias Wachs

2013-05-27 09:49

manager   ~0007122

Is this still current issue?

Matthias Wachs

2013-07-08 16:53

manager   ~0007207

Proportional solver and mlp solver assign bandwidth within given limits of bandwidth quotas assigned to available network scopes. Both are implemented, proportional solver is in productive use, mlp solver may require additional testing but does comply with configure quotas

Christian Grothoff

2013-07-08 20:42

manager   ~0007209

I'm not sure how this addresses the report. uTP is about _sensing_ congestion (say, at the DSL modem) and adapting transmission rates accordingly. The point is NOT to (artificially) limit to 50kb/s or 80% but use 100% of available bandwidth and to throttle back once congestion is detected. So this might be a useful "penalty" feedback to give to a reinforcement-learning ATS or a resource adaptation (max bandwidth) given to constraint-based ATS. Regardless, the capability to _sense_ congestion or buffering is a feature that would first have to be implemented, which is what I think this bug is about -- and what has not happened so far.

Matthias Wachs

2013-07-09 08:53

manager   ~0007210

I don't know how this addresses this bug ... but you told me that ATS solves this report and I should close it ...

Christian Grothoff

2013-07-09 08:58

manager   ~0007211

Well, it sometimes happens that I go back over reports and think things over again.

Issue History

Date Modified Username Field Change
2010-02-04 20:05 NDurner New Issue
2010-05-27 11:36 Christian Grothoff Project GNUnet 0.8.x => GNUnet
2010-05-27 11:36 Christian Grothoff Priority normal => low
2010-05-27 11:36 Christian Grothoff Category other => transport service
2010-10-21 15:45 Christian Grothoff Assigned To => Matthias Wachs
2010-10-21 15:45 Christian Grothoff Status new => assigned
2011-12-08 16:59 Christian Grothoff Relationship added related to 0001971
2012-02-21 22:05 Christian Grothoff Target Version => 0.9.5
2012-10-07 14:04 Christian Grothoff Product Version => SVN HEAD
2012-10-07 14:04 Christian Grothoff Target Version 0.9.5 => 0.10.0
2012-10-07 14:16 Christian Grothoff Target Version 0.10.0 =>
2013-05-27 09:49 Matthias Wachs Note Added: 0007122
2013-05-27 09:49 Matthias Wachs Status assigned => feedback
2013-07-08 16:53 Matthias Wachs Note Added: 0007207
2013-07-08 16:53 Matthias Wachs Status feedback => resolved
2013-07-08 16:53 Matthias Wachs Resolution open => fixed
2013-07-08 20:37 Christian Grothoff Fixed in Version => 0.10.0
2013-07-08 20:37 Christian Grothoff Target Version => 0.10.0
2013-07-08 20:42 Christian Grothoff Note Added: 0007209
2013-07-08 20:42 Christian Grothoff Status resolved => assigned
2013-07-08 20:43 Christian Grothoff Fixed in Version 0.10.0 =>
2013-07-08 20:43 Christian Grothoff Target Version 0.10.0 =>
2013-07-09 08:53 Matthias Wachs Note Added: 0007210
2013-07-09 08:58 Christian Grothoff Note Added: 0007211
2015-02-11 20:37 Christian Grothoff Assigned To Matthias Wachs =>
2015-02-11 20:37 Christian Grothoff Status assigned => confirmed
2019-05-02 14:44 Christian Grothoff Relationship added related to 0005710